# Copyright 2023 ChaneMo(https://github.com/ChaneMo). All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

import setuptools
import pathlib

here = pathlib.Path(__file__).parent.resolve()
long_description = (here / "README.md").read_text(encoding="utf-8")

setuptools.setup(
    name="sklearn_ml",
    version="1.1",
    author="ChaneMo",
    author_email="",
    description="A light package build on scikit-learn, which is used for machine learning missions.By using it, you could conveniently train and use models at the same time, and do some model comparison.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/ChaneMo/sklearn-ml",
    packages=setuptools.find_packages(),
    install_requires=['pandas', 'scikit-learn'],
    python_requires='>=3.6',
    license="Apache 2.0",
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3 :: Only",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",

    ],
    keywords="scikit-learn, sklearn, classification, regression, cluster, machine learning, model comparison",
)
